Reorder contacts
curl --request POST \
--url https://api.contracting.kukkingu.software/api/v1/contacts/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-id: <tenant-id>' \
--data '
{
"clientId": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
"ids": [
"con_123",
"con_456",
"con_789"
]
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/contacts/order"
payload = {
"clientId": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
"ids": ["con_123", "con_456", "con_789"]
}
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'tenant-id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
clientId: 'clnt_z2b3mo8qa5kzptgsu26q2wmh',
ids: ['con_123', 'con_456', 'con_789']
})
};
fetch('https://api.contracting.kukkingu.software/api/v1/contacts/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"con_xlbg6ubfio7tzvsijyp5794c"
]
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Contacts
Reorder contacts
Updates the ordering of contacts within a client. Contacts not listed keep relative order by creation date.
POST
/
api
/
v1
/
contacts
/
order
Reorder contacts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
Example:
"tnt_pfh0haxfpzowht3oi213cqos"
Body
application/json
Request body that defines the target order for contacts.
Request body that defines the target order for contacts.
Response
Default Response
Standard success response payload wrapped in a data property.
Ordered list of contact IDs after the reorder operation is applied.
The ID of the contact.
Minimum string length:
1